Package org.apache.sis.metadata.iso.spatial

# Class DefaultGCPCollection

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractGeolocationInformation
DefaultGCPCollection

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `GCPCollection`, `GeolocationInformation`

@TitleProperty(name="collectionName") public class DefaultGCPCollection extends AbstractGeolocationInformation implements GCPCollection
Information about a control point collection. The following properties are mandatory in a well-formed metadata according ISO 19115:
`MI_GCPCollection` `├─collectionIdentification………` Identifier of the GCP collection. `├─collectionName…………………………………` Name of the GCP collection. `├─coordinateReferenceSystem……` Coordinate system in which the ground control points are defined. `└─gcp………………………………………………………………` Ground control point(s) used in the collection. `└─geographicCoordinates……` Geographic or map position of the control point, in either two or three dimensions.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - `DefaultGCP`
  - Serialized Form

Defined in the `sis-metadata` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultGCPCollection()`
  Constructs an initially empty ground control point collection.
  `DefaultGCPCollection(GCPCollection object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultGCPCollection`
  `castOrCopy(GCPCollection object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `Integer`
  `getCollectionIdentification()`
  Returns the identifier of the GCP collection.
  `InternationalString`
  `getCollectionName()`
  Returns the name of the GCP collection.
  `ReferenceSystem`
  `getCoordinateReferenceSystem()`
  Returns the coordinate reference system in which the ground control points are defined.
  `Collection<GCP>`
  `getGCPs()`
  Returns the ground control point(s) used in the collection.
  `void`
  `setCollectionIdentification(Integer newValue)`
  Sets the identifier of the GCP collection.
  `void`
  `setCollectionName(InternationalString newValue)`
  Sets the name of the GCP collection.
  `void`
  `setCoordinateReferenceSystem(ReferenceSystem newValue)`
  Sets the coordinate reference system in which the ground control points are defined.
  `void`
  `setGCPs(Collection<? extends GCP> newValues)`
  Sets the ground control point(s) used in the collection.

  ### Methods inherited from class AbstractGeolocationInformation

  `castOrCopy, getQualityInfo, setQualityInfo`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface GeolocationInformation

  `getQualityInfo`

- ## Constructor Details

  - ### DefaultGCPCollection

    public DefaultGCPCollection()
    Constructs an initially empty ground control point collection.

  - ### DefaultGCPCollection

    public DefaultGCPCollection(GCPCollection object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(GCPCollection)`

- ## Method Details

  - ### castOrCopy

    public static DefaultGCPCollection castOrCopy(GCPCollection object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultGCPCollection`, then it is returned unchanged.
    - Otherwise a new `DefaultGCPCollection` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getCollectionIdentification

    public Integer getCollectionIdentification()
    Returns the identifier of the GCP collection.
    Specified by:
      `getCollectionIdentification` in interface `GCPCollection`
    Returns:
      the identifier, or `null`.

  - ### setCollectionIdentification

    public void setCollectionIdentification(Integer newValue)
    Sets the identifier of the GCP collection.
    Parameters:
      `newValue` - the new collection identifier value.

  - ### getCollectionName

    public InternationalString getCollectionName()
    Returns the name of the GCP collection.
    Specified by:
      `getCollectionName` in interface `GCPCollection`
    Returns:
      name of the GCP collection, or `null`.

  - ### setCollectionName

    public void setCollectionName(InternationalString newValue)
    Sets the name of the GCP collection.
    Parameters:
      `newValue` - the new collection name.

  - ### getCoordinateReferenceSystem

    public ReferenceSystem getCoordinateReferenceSystem()
    Returns the coordinate reference system in which the ground control points are defined.
    Specified by:
      `getCoordinateReferenceSystem` in interface `GCPCollection`
    Returns:
      coordinate reference system in which the ground control points are defined, or `null`.

  - ### setCoordinateReferenceSystem

    public void setCoordinateReferenceSystem(ReferenceSystem newValue)
    Sets the coordinate reference system in which the ground control points are defined.
    Parameters:
      `newValue` - the new coordinate reference system value.

  - ### getGCPs

    public Collection<GCP> getGCPs()
    Returns the ground control point(s) used in the collection.
    Specified by:
      `getGCPs` in interface `GCPCollection`
    Returns:
      ground control point(s).

  - ### setGCPs

    public void setGCPs(Collection<? extends GCP> newValues)
    Sets the ground control point(s) used in the collection.
    Parameters:
      `newValues` - the new ground control points values.